Set a dynamic variable by name
curl --request PUT \
--url https://platform.versori.com/api/v2/o/{organisation_id}/environments/{environment_id}/activations/{activation_id}/variables/{variable_name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"value": {}
}'import requests
url = "https://platform.versori.com/api/v2/o/{organisation_id}/environments/{environment_id}/activations/{activation_id}/variables/{variable_name}"
payload = { "value": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: {}})
};
fetch('https://platform.versori.com/api/v2/o/{organisation_id}/environments/{environment_id}/activations/{activation_id}/variables/{variable_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}activations
Set a dynamic variable by name
Updates a single dynamic variable identified by name for the specified activation. This endpoint is designed to support the SDK’s ability to update individual variables with a friendly, descriptive API for error handling.
PUT
/
o
/
{organisation_id}
/
environments
/
{environment_id}
/
activations
/
{activation_id}
/
variables
/
{variable_name}
Set a dynamic variable by name
Authorizations
bearerTokencookie
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
Path Parameters
The name of the dynamic variable to update
Body
application/json
The new value for the variable (can be any JSON type)
Response
Variable updated successfully
The response is of type object.
⌘I